msgpack::detail::unpack_user Class Reference

`#include <unpack.hpp>`

## Public Member Functions

| unpack_user (unpack_reference_func f=MSGPACK_NULLPTR, void *user_data=MSGPACK_NULLPTR, unpack_limit const &limit=unpack_limit())
msgpack::zone const & | zone () const
msgpack::zone & | zone ()
void | set_zone (msgpack::zone &zone)
bool | referenced () const
void | set_referenced (bool referenced)
unpack_reference_func | reference_func () const
void * | user_data () const
unpack_limit const & | limit () const
unpack_limit & | limit ()

## Constructor & Destructor Documentation

## unpack_user()

msgpack::detail::unpack_user::unpack_user | ( | unpack_reference_func | f = `MSGPACK_NULLPTR`,
|  | void * | user_data = `MSGPACK_NULLPTR`,
|  | unpack_limit const & | limit = `unpack_limit()`
| ) |  |

inline

## Member Function Documentation

## limit() [1/2]

unpack_limit const& msgpack::detail::unpack_user::limit | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_array::operator()(), msgpack::detail::unpack_map::operator()(), msgpack::detail::unpack_bin(), msgpack::detail::unpack_ext(), and msgpack::detail::unpack_str().

## limit() [2/2]

unpack_limit& msgpack::detail::unpack_user::limit | ( |  | ) |

inline

## reference_func()

unpack_reference_func msgpack::detail::unpack_user::reference_func | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_bin(), msgpack::detail::unpack_ext(), and msgpack::detail::unpack_str().

## referenced()

bool msgpack::detail::unpack_user::referenced | ( |  | ) | const

inline

Referenced by msgpack::unpacker::next(), msgpack::unpacker::reserve_buffer(), msgpack::unpacker::reset_zone(), set_referenced(), and msgpack::detail::unpack_imp().

## set_referenced()

void msgpack::detail::unpack_user::set_referenced | ( | bool | referenced | ) |

inline

References referenced().

Referenced by msgpack::unpacker::reserve_buffer(), msgpack::unpacker::reset_zone(), msgpack::detail::unpack_bin(), msgpack::detail::unpack_ext(), msgpack::detail::unpack_imp(), msgpack::detail::unpack_str(), and msgpack::unpacker::unpacker().

## set_zone()

void msgpack::detail::unpack_user::set_zone | ( | msgpack::zone & | zone | ) |

inline

References zone().

Referenced by msgpack::unpacker::release_zone(), msgpack::detail::unpack_imp(), and msgpack::unpacker::unpacker().

## user_data()

void* msgpack::detail::unpack_user::user_data | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_bin(), msgpack::detail::unpack_ext(), and msgpack::detail::unpack_str().

## zone() [1/2]

msgpack::zone const& msgpack::detail::unpack_user::zone | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_array::operator()(), msgpack::detail::unpack_map::operator()(), set_zone(), msgpack::detail::unpack_bin(), msgpack::detail::unpack_ext(), and msgpack::detail::unpack_str().

## zone() [2/2]

msgpack::zone& msgpack::detail::unpack_user::zone | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/unpack.hpp